## kf6-ktexteditor 6.12.0

=== src/part/CMakeLists.txt ===
# kate part itself just is core + the factory
add_library (katepart MODULE katepart.cpp)

configure_file(katepart.json.in ${CMAKE_CURRENT_BINARY_DIR}/katepart.json @ONLY)

# link the part, use kate part core + kde stuff
target_link_libraries (katepart KF6TextEditor KF6::SyntaxHighlighting)

# install the part
install (TARGETS katepart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)

## kf6-ktexteditor 6.3.0

=== debian/changelog ===
kf6-ktexteditor (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:01:34 +0200

kf6-ktexteditor (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 18 May 2024 20:27:22 +0200

kf6-ktexteditor (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 16 May 2024 01:29:28 +0200

ktexteditor (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Update symbols from buildlogs.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015463).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:08:58 +0100

ktexteditor (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:49 +0200

ktexteditor (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:06 +0100

ktexteditor (5.103.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Breaks/Replaces of ktexteditor-data against
    libkf5texteditor-dev. Closes: #1034951

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 May 2023 18:20:13 +0200

ktexteditor (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:34 +0100

ktexteditor (5.102.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 24 Jan 2023 20:05:35 +0100

ktexteditor (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

ktexteditor (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Dec 2022 10:11:37 +0100

ktexteditor (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:39 +0100

ktexteditor (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:08 +0100

ktexteditor (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.
  * Add lintian override for false positive about
    src/script/data/commands/utils.js not being the source.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:28 +0200

ktexteditor (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:43 +0200

ktexteditor (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:12 +0200

ktexteditor (5.94.0-4) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2022 19:30:00 +0200

ktexteditor (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #1012965)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 22:40:16 +0200

ktexteditor (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Thu, 26 May 2022 22:49:48 +0200

ktexteditor (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

ktexteditor (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon


=== debian/control ===
Source: kf6-ktexteditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf6archive-dev (>= 6.3.0~),
               libkf6auth-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6sonnet-dev (>= 6.3.0~),
               libkf6syntaxhighlighting-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-speech-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ktexteditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
Rules-Requires-Root: no

Package: libkf6texteditor-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf6texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf6texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf6parts-dev (>= 6.3.0~),
         libkf6syntaxhighlighting-dev (>= 6.3.0~),
         libkf6texteditor6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6texteditor-doc (= ${source:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf6texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6texteditor-katepart
Architecture: any
Depends: libkf6texteditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf6texteditor6
Architecture: any
Multi-Arch: same
Depends: libjs-underscore,
         libkf6texteditor-bin (= ${binary:Version}),
         libkf6texteditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6texteditor-katepart (= ${binary:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

## kf6-ktexteditor 6.4.0

=== debian/changelog ===
kf6-ktexteditor (6.4.0-0xneon+22.04+jammy+release+build33) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Aug 2024 08:21:56 +0000

kf6-ktexteditor (6.4.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:45:48 +0000

kf6-ktexteditor (6.3.0-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 12 Jun 2024 10:42:12 +1000

kf6-ktexteditor (6.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 15:21:05 +0000

kf6-ktexteditor (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-ktexteditor (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

=== debian/control ===
Source: kf6-ktexteditor
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kf6-sonnet-dev,
               kf6-syntax-highlighting-dev,
               libeditorconfig-dev,
               libgit2-dev,
               perl,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-speech-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/ktexteditor
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ktexteditor.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ktexteditor
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ktexteditor
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: libjs-underscore, ${misc:Depends}, ${shlibs:Depends}
Replaces: ktexteditor-katepart,
          ktexteditor6-data,
          libkf6texteditor-bin,
          libkf6texteditor-data,
          libkf6texteditor6
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: kf6-ktexteditor-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kio-dev,
         kf6-kparts-dev,
         kf6-ktexteditor (= ${binary:Version}),
         kf6-syntax-highlighting-dev,
         ${misc:Depends}
Replaces: libkf6texteditor-dev, libkf6texteditor-doc
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: ktexteditor6-data
Architecture: all
Depends: kf6-ktexteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: ktexteditor6-katepart
Architecture: all
Depends: kf6-ktexteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texteditor6
Architecture: all
Depends: kf6-ktexteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texteditor-bin
Architecture: all
Depends: kf6-ktexteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texteditor-data
Architecture: all
Depends: kf6-ktexteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texteditor-dev
Architecture: all
Depends: kf6-ktexteditor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6texteditor-doc
Architecture: all
Depends: kf6-ktexteditor-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-ktexteditor 6.6.0

=== debian/changelog ===
kf6-ktexteditor (6.6.0-1+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 05 Dec 2024 04:29:12 +0000

kf6-ktexteditor (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:15:07 +0200

kf6-ktexteditor (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Aug 2024 20:37:56 +0200

kf6-ktexteditor (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.5.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:13 +0200

kf6-ktexteditor (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Update symbols from build for 6.4.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:25:04 +0200

=== debian/control ===
Source: kf6-ktexteditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.6.0~),
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf6archive-dev (>= 6.6.0~),
               libkf6auth-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-speech-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ktexteditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
Rules-Requires-Root: no

Package: libkf6texteditor-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf6texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf6texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf6parts-dev (>= 6.6.0~),
         libkf6syntaxhighlighting-dev (>= 6.6.0~),
         libkf6texteditor6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6texteditor-doc (= ${source:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf6texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6texteditor-katepart
Architecture: any
Depends: libkf6texteditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf6texteditor6
Architecture: any
Multi-Arch: same
Depends: libjs-underscore,
         libkf6texteditor-bin (= ${binary:Version}),
         libkf6texteditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6texteditor-katepart (= ${binary:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

## kf6-ktexteditor 6.9.0

=== debian/changelog ===
kf6-ktexteditor (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:49:01 +0000

kf6-ktexteditor (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:33 +0000

kf6-ktexteditor (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:41:57 +0100

kf6-ktexteditor (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:48 +0100

kf6-ktexteditor (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:35 +0100

kf6-ktexteditor (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Add debian/not-installed with ktexteditor-script-tester6
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-ktexteditor
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,20 +10,20 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6auth-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6parts-dev (>= 6.6.0~),
-               libkf6sonnet-dev (>= 6.6.0~),
-               libkf6syntaxhighlighting-dev (>= 6.6.0~),
-               libkf6textwidgets-dev (>= 6.6.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6auth-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6guiaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6parts-dev (>= 6.9.0~),
+               libkf6sonnet-dev (>= 6.9.0~),
+               libkf6syntaxhighlighting-dev (>= 6.9.0~),
+               libkf6textwidgets-dev (>= 6.9.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -32,8 +33,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
 Rules-Requires-Root: no
 
 Package: libkf6texteditor-data
@@ -68,12 +69,11 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.6.0~),
-         libkf6syntaxhighlighting-dev (>= 6.6.0~),
+Depends: libkf6parts-dev (>= 6.9.0~),
+         libkf6syntaxhighlighting-dev (>= 6.9.0~),
          libkf6texteditor6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Recommends: libkf6texteditor-doc (= ${source:Version}),
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set

## kf6-ktexteditor 6.10.0

=== debian/changelog ===
kf6-ktexteditor (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update symbols from build logs.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:20 +0000

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.9.0~),
-               libkf6auth-dev (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6guiaddons-dev (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
-               libkf6kio-dev (>= 6.9.0~),
-               libkf6parts-dev (>= 6.9.0~),
-               libkf6sonnet-dev (>= 6.9.0~),
-               libkf6syntaxhighlighting-dev (>= 6.9.0~),
-               libkf6textwidgets-dev (>= 6.9.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6auth-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6parts-dev (>= 6.10.0~),
+               libkf6sonnet-dev (>= 6.10.0~),
+               libkf6syntaxhighlighting-dev (>= 6.10.0~),
+               libkf6textwidgets-dev (>= 6.10.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -69,8 +69,8 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.9.0~),
-         libkf6syntaxhighlighting-dev (>= 6.9.0~),
+Depends: libkf6parts-dev (>= 6.10.0~),
+         libkf6syntaxhighlighting-dev (>= 6.10.0~),
          libkf6texteditor6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-ktexteditor 6.11.0

=== debian/changelog ===
kf6-ktexteditor (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:25:21 +0100

kf6-ktexteditor (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit, now part of the upstream release.
  * Update symbols from build for 6.10.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:27:14 +0100

kf6-ktexteditor (6.8.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commit to fix full line selection behaviour.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 30 Dec 2024 09:31:34 +0100

kf6-ktexteditor (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.8.0.
  * Add an additional dependency on libkf6texteditor-bin in the symbols
    file so that users of the symbols get the bin package installed
    automatically without us having to declare a circular dependency
    between the lib and the bin packages.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:48:06 +0100

kf6-ktexteditor (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 04 Nov 2024 12:22:27 -0600

kf6-ktexteditor (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: kf6-ktexteditor
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6auth-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6parts-dev (>= 6.10.0~),
-               libkf6sonnet-dev (>= 6.10.0~),
-               libkf6syntaxhighlighting-dev (>= 6.10.0~),
-               libkf6textwidgets-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6auth-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6kio-dev (>= 6.11.0~),
+               libkf6parts-dev (>= 6.11.0~),
+               libkf6sonnet-dev (>= 6.11.0~),
+               libkf6syntaxhighlighting-dev (>= 6.11.0~),
+               libkf6textwidgets-dev (>= 6.7.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-speech-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-speech-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
 Rules-Requires-Root: no
 
 Package: libkf6texteditor-data
@@ -69,11 +68,12 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.10.0~),
-         libkf6syntaxhighlighting-dev (>= 6.10.0~),
+Depends: libkf6parts-dev (>= 6.11.0~),
+         libkf6syntaxhighlighting-dev (>= 6.11.0~),
          libkf6texteditor6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: libkf6texteditor-doc (= ${source:Version}),
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
@@ -122,7 +122,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libjs-underscore,
-         libkf6texteditor-bin (= ${binary:Version}),
          libkf6texteditor-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kf6-ktexteditor 6.12.0

=== debian/changelog ===
kf6-ktexteditor (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:54:49 +0000

kf6-ktexteditor (6.11.0-1ubuntu2) plucky; urgency=medium

  * Depends on libkf6texteditor-bin not required, as this is injected
    via the symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 17:19:22 +0000

kf6-ktexteditor (6.11.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current KF6 version packages.
    - libkf6texteditor6 Depends: libkf6texteditor-bin
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 17:15:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-ktexteditor
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6auth-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6kio-dev (>= 6.11.0~),
-               libkf6parts-dev (>= 6.11.0~),
-               libkf6sonnet-dev (>= 6.11.0~),
-               libkf6syntaxhighlighting-dev (>= 6.11.0~),
-               libkf6textwidgets-dev (>= 6.7.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6auth-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6kio-dev (>= 6.12.0~),
+               libkf6parts-dev (>= 6.12.0~),
+               libkf6sonnet-dev (>= 6.12.0~),
+               libkf6syntaxhighlighting-dev (>= 6.12.0~),
+               libkf6textwidgets-dev (>= 6.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -32,8 +33,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
 Rules-Requires-Root: no
 
 Package: libkf6texteditor-data
@@ -68,8 +69,8 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.11.0~),
-         libkf6syntaxhighlighting-dev (>= 6.11.0~),
+Depends: libkf6parts-dev (>= 6.12.0~),
+         libkf6syntaxhighlighting-dev (>= 6.12.0~),
          libkf6texteditor6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
